Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.changedetection.state
Class DefaultDirectoryStateChangeDetecterBuilder

    java.lang.Object
      org.gradle.api.changedetection.state.DefaultDirectoryStateChangeDetecterBuilder

    class DefaultDirectoryStateChangeDetecterBuilder
    extends java.lang.Object

author:
  Tom Eyckmans

Constructor Summary
`DefaultDirectoryStateChangeDetecterBuilder()`

Method Summary
`DefaultDirectoryStateChangeDetecterBuilder` | `allChangesStateComparator()`
`DefaultDirectoryStateChangeDetecterBuilder` | `dirChangedStateComparator()`
`DefaultDirectoryStateChangeDetecterBuilder` | `directoryToProcess(File directoryToProcess)`
`DefaultDirectoryStateChangeDetecterBuilder` | `dotGradleStatesDirectory(File dotGradleStatesDirectory)`
`DefaultDirectoryStateChangeDetecterBuilder` | `fileMetaDataAndContentHashing()`
`DefaultDirectoryStateChangeDetecterBuilder` | `fileMetaDataOnlyHashing()`
`DirectoryStateChangeDetecter` | `getDirectoryStateChangeDetecter()`
`DefaultDirectoryStateChangeDetecterBuilder` | `rootProjectDirectory(File rootProjectDirectory)`
`void` | `setDirectoryToProcess(File directoryToProcess)`
`void` | `setDotGradleStatesDirectory(File dotGradleStatesDirectory)`
`void` | `setRootProjectDirectory(File rootProjectDirectory)`
`void` | `setStateChangeEventQueuePollTimeout(long stateChangeEventQueuePollTimeout)`
`void` | `setStateChangeEventQueueSize(int stateChangeEventQueueSize)`
`DefaultDirectoryStateChangeDetecterBuilder` | `stateChangeEventQueuePollTimeout(long stateChangeEventQueuePollTimeout)`
`DefaultDirectoryStateChangeDetecterBuilder` | `stateChangeEventQueueSize(int stateChangeEventQueueSize)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultDirectoryStateChangeDetecterBuilder

    public DefaultDirectoryStateChangeDetecterBuilder()

Method Detail

### allChangesStateComparator

    public DefaultDirectoryStateChangeDetecterBuilder allChangesStateComparator()

### dirChangedStateComparator

    public DefaultDirectoryStateChangeDetecterBuilder dirChangedStateComparator()

### directoryToProcess

    public DefaultDirectoryStateChangeDetecterBuilder directoryToProcess(File directoryToProcess)

### dotGradleStatesDirectory

    public DefaultDirectoryStateChangeDetecterBuilder dotGradleStatesDirectory(File dotGradleStatesDirectory)

### fileMetaDataAndContentHashing

    public DefaultDirectoryStateChangeDetecterBuilder fileMetaDataAndContentHashing()

### fileMetaDataOnlyHashing

    public DefaultDirectoryStateChangeDetecterBuilder fileMetaDataOnlyHashing()

### getDirectoryStateChangeDetecter

    public DirectoryStateChangeDetecter getDirectoryStateChangeDetecter()

### rootProjectDirectory

    public DefaultDirectoryStateChangeDetecterBuilder rootProjectDirectory(File rootProjectDirectory)

### setDirectoryToProcess

    public void setDirectoryToProcess(File directoryToProcess)

### setDotGradleStatesDirectory

    public void setDotGradleStatesDirectory(File dotGradleStatesDirectory)

### setRootProjectDirectory

    public void setRootProjectDirectory(File rootProjectDirectory)

### setStateChangeEventQueuePollTimeout

    public void setStateChangeEventQueuePollTimeout(long stateChangeEventQueuePollTimeout)

### setStateChangeEventQueueSize

    public void setStateChangeEventQueueSize(int stateChangeEventQueueSize)

### stateChangeEventQueuePollTimeout

    public DefaultDirectoryStateChangeDetecterBuilder stateChangeEventQueuePollTimeout(long stateChangeEventQueuePollTimeout)

### stateChangeEventQueueSize

    public DefaultDirectoryStateChangeDetecterBuilder stateChangeEventQueueSize(int stateChangeEventQueueSize)

Groovy Documentation